# Search for pages on a site

Searches for all  pages in a specific site using a search term that matches page titles and content. The response returns the matching pages with their details including the page ID, path, and name.

Endpoint: GET /api/v1/pages/search
Version: v2.0
Security: HTTPBearer

## Security:

  - `HTTPBearer` (unknown)
    http bearer JWT

## Query parameters:

  - `search_query` (string, required)
    The search term to look for in page titles and content.

  - `site_name` (string, required)
    The unique name of the site to search within.

  - `language` (string)
    The language code for filtering pages.

## Header parameters:

  - `x-sc-job-id` (any)
    A unique identifier for the job, used to trace, audit, and revert actions performed by an AI agent through the Agent API.

## Response 200:

  - `200` (unknown)
    Successful response

## Response 200 fields (application/json):

  - `itemId` (string)
    The unique identifier of the item.
    Example: 3f2504e0-4f89-11d3-9a0c-0305e82c3301

  - `name` (string)
    The name of the item.
    Example: Home

  - `path` (string)
    The path of the item.
    Example: /sitecore/content/verticals/SkatePark/home

  - `templateId` (string)
    The unique identifier of the template.
    Example: 3f2504e0-4f89-11d3-9a0c-0305e82c3301

  - `fields` (array)
    A list of search fields associated with the item.

  - `fields.name` (string)
    The name of the field.
    Example: Title

  - `fields.value` (string)
    The value of the field.
    Example: Welcome to Our Site

## Response 422:

  - `422` (unknown)
    Unprocessable entity

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array)
    The location of the error in the request.

  - `detail.msg` (string)
    The error message.

  - `detail.type` (string)
    The type of error.

  - `detail.input` (any)
    The input that caused the error.

  - `detail.ctx` (object)
    The context in which the error occurred.

